Subject: [bug#36555] [PATCH v5 2/3] guix system: Reimplement 'reconfigure'.

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 23 Jul 2019 20:48:29 -0400

[email-masked] (Jakob L. Kreuze) writes:

> Whoops! It would definitely not be good to report "failed to install
> bootloader" for unrelated issues. I'll look into moving the handling
> into the call sites. Perhaps I can make a more general version of
> 'with-shepherd-error-handling'?

I ran a few experiments with the Monad API and realized that this is
going to be far easier than I had originally thought. In fact, I've
already made what I believe to be the necessary changes to the code, I
just need to test it out. Expect the update to this patch to be done by
tomorrow morning -- I'm having trouble staying awake at my keyboard.

Goodnight, friends!
Jakob